gr::radar::qtgui_time_plot_impl Class Reference

`#include <qtgui_time_plot_impl.h>`

Inheritance diagram for gr::radar::qtgui_time_plot_impl:

## Public Member Functions

| qtgui_time_plot_impl (int interval, std::string label_y, std::vector< float > axis_y, float range_time, std::string label)
| ~qtgui_time_plot_impl ()
void | handle_msg (pmt::pmt_t msg)
void | run_gui ()

## Public Attributes

int | d_interval
std::string | d_label_y
std::vector< float > | d_axis_y
float | d_range_time
pmt::pmt_t | d_port_id_in
std::vector< float > | d_y
bool | d_y_read
std::string | d_label
int | d_argc
char * | d_argv
QApplication * | d_qApplication
time_plot * | d_main_gui

## Additional Inherited Members

Public Types inherited from gr::radar::qtgui_time_plot
typedef std::shared_ptr< qtgui_time_plot > | sptr
Static Public Member Functions inherited from gr::radar::qtgui_time_plot
static sptr | make (int interval, std::string label_y, std::vector< float > axis_y, float range_time, std::string label="")
| Return a shared_ptr to a new instance of radar::qtgui_time_plot.

## Constructor & Destructor Documentation

## qtgui_time_plot_impl()

gr::radar::qtgui_time_plot_impl::qtgui_time_plot_impl | ( | int | interval,
|  | std::string | label_y,
|  | std::vector< float > | axis_y,
|  | float | range_time,
|  | std::string | label )

## ~qtgui_time_plot_impl()

gr::radar::qtgui_time_plot_impl::~qtgui_time_plot_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::qtgui_time_plot_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## run_gui()

void gr::radar::qtgui_time_plot_impl::run_gui | ( |  | ) |

## Member Data Documentation

## d_argc

int gr::radar::qtgui_time_plot_impl::d_argc

## d_argv

char* gr::radar::qtgui_time_plot_impl::d_argv

## d_axis_y

std::vector<float> gr::radar::qtgui_time_plot_impl::d_axis_y

## d_interval

int gr::radar::qtgui_time_plot_impl::d_interval

## d_label

std::string gr::radar::qtgui_time_plot_impl::d_label

## d_label_y

std::string gr::radar::qtgui_time_plot_impl::d_label_y

## d_main_gui

time_plot* gr::radar::qtgui_time_plot_impl::d_main_gui

## d_port_id_in

pmt::pmt_t gr::radar::qtgui_time_plot_impl::d_port_id_in

## d_qApplication

QApplication* gr::radar::qtgui_time_plot_impl::d_qApplication

## d_range_time

float gr::radar::qtgui_time_plot_impl::d_range_time

## d_y

std::vector<float> gr::radar::qtgui_time_plot_impl::d_y

## d_y_read

bool gr::radar::qtgui_time_plot_impl::d_y_read

The documentation for this class was generated from the following file:

- qtgui_time_plot_impl.h